//
//  ViewController.m
//  timer
//
//  Created by 郑琳 on 16/6/21.
//  Copyright © 2016年 郑琳. All rights reserved.
//

#import "ViewController.h"
#import "Timer_BeginWatch.h"
#import "CDPKZuixinCell.h"
#define SCREEN_WIDTH ([UIScreen mainScreen].bounds.size.width)
#define SCREEN_HEIGHT ([UIScreen mainScreen].bounds.size.height)


@interface ViewController ()<UICollectionViewDelegate,UICollectionViewDataSource,UICollectionViewDelegateFlowLayout>{

    Timer_BeginWatch * timerLabel;//创建Timer_BeginWatch对象

}
@property (copy, nonatomic)  NSArray *datasource;
@end

static NSString * const PK_Cell = @"ZuixinCell";

@implementation ViewController
-(NSArray *)datasource{
    if (!_datasource) {
        _datasource = @[@12342,@12332,@124312,@124443,@114222,@124322,@12332,@124312,@133234,@14212,@124323,@145367,@34535];
    }
    return _datasource;
}
- (void)viewDidLoad {
    [super viewDidLoad];

    self.collectionView.dataSource = self;
    self.collectionView.delegate = self;
    [self.collectionView registerNib:[UINib nibWithNibName:@"CDPKZuixinCell" bundle:nil] forCellWithReuseIdentifier:PK_Cell];
}




-(NSInteger)numberOfSectionsInCollectionView:(UICollectionView *)collectionView{
    return 1;
}
- (NSInteger)collectionView:(UICollectionView *)collectionView numberOfItemsInSection:(NSInteger)section {
    return self.datasource.count;
}

- (UICollectionViewCell *)collectionView:(UICollectionView *)collectionView cellForItemAtIndexPath:(NSIndexPath *)indexPath {
    
    CDPKZuixinCell *cell = [collectionView dequeueReusableCellWithReuseIdentifier:PK_Cell forIndexPath:indexPath];
    cell.pk_goods_countTime.timerSpan = [self.datasource[indexPath.row] integerValue];

    return cell;
    
}

-(CGFloat)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout *)collectionViewLayout minimumLineSpacingForSectionAtIndex:(NSInteger)section{
    return 1;
}
-(CGFloat)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout *)collectionViewLayout minimumInteritemSpacingForSectionAtIndex:(NSInteger)section{
    return 1;
}

#pragma mark <UICollectionViewDelegate>
- (CGSize)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout*)collectionViewLayout sizeForItemAtIndexPath:(NSIndexPath *)indexPath{
    return CGSizeMake(SCREEN_WIDTH/2 - 0.5, (SCREEN_HEIGHT - 44 )/2);
    
}

- (void)collectionView:(UICollectionView *)collectionView didSelectItemAtIndexPath:(NSIndexPath *)indexPath{
    NSLog(@"%s",__func__);
}



- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
-(void)dealloc{


}
@end
